liblinphone 3.8.1

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Macros | Typedefs | Enumerations | Functions
Miscenalleous: logs, version strings, config storage

## Data Structures
struct | _LinphoneContentPrivate

## Macros
#define | LINPHONE_CONTENT(lcp) linphone_content_private_to_linphone_content(lcp)
#define | LINPHONE_CONTENT_PRIVATE(lc) linphone_content_to_linphone_content_private(lc)

## Typedefs
typedef struct _LinphoneBuffer | LinphoneBuffer
typedef struct _LinphoneContent | LinphoneContent
typedef struct _LinphoneContentPrivate | LinphoneContentPrivate
typedef enum _LinphoneReason | LinphoneReason
typedef struct _LinphoneErrorInfo | LinphoneErrorInfo
typedef struct _LpConfig | LpConfig

## Enumerations
enum | _LinphoneReason { , LinphoneReasonNoResponse, LinphoneReasonForbidden, LinphoneReasonDeclined, LinphoneReasonNotFound, LinphoneReasonNotAnswered, LinphoneReasonBusy, LinphoneReasonUnsupportedContent, LinphoneReasonIOError, LinphoneReasonDoNotDisturb, LinphoneReasonUnauthorized, LinphoneReasonNotAcceptable, LinphoneReasonNoMatch, LinphoneReasonMovedPermanently, LinphoneReasonGone, LinphoneReasonTemporarilyUnavailable, LinphoneReasonAddressIncomplete, LinphoneReasonNotImplemented, LinphoneReasonBadGateway, LinphoneReasonServerTimeout, LinphoneReasonUnknown }

## Functions
LinphoneBuffer * | linphone_buffer_new (void)
LinphoneBuffer * | linphone_buffer_new_from_data (const uint8_t *data, size_t size)
LinphoneBuffer * | linphone_buffer_new_from_string (const char *data)
LinphoneBuffer * | linphone_buffer_ref (LinphoneBuffer *buffer)
void | linphone_buffer_unref (LinphoneBuffer *buffer)
void * | linphone_buffer_get_user_data (const LinphoneBuffer *buffer)
void | linphone_buffer_set_user_data (LinphoneBuffer *buffer, void *ud)
const uint8_t * | linphone_buffer_get_content (const LinphoneBuffer *buffer)
void | linphone_buffer_set_content (LinphoneBuffer *buffer, const uint8_t *content, size_t size)
const char * | linphone_buffer_get_string_content (const LinphoneBuffer *buffer)
void | linphone_buffer_set_string_content (LinphoneBuffer *buffer, const char *content)
size_t | linphone_buffer_get_size (const LinphoneBuffer *buffer)
void | linphone_buffer_set_size (LinphoneBuffer *buffer, size_t size)
bool_t | linphone_buffer_is_empty (const LinphoneBuffer *buffer)
LinphoneContent * | linphone_content_private_to_linphone_content (const LinphoneContentPrivate *lcp)
LinphoneContentPrivate * | linphone_content_to_linphone_content_private (const LinphoneContent *content)
LinphoneContent * | linphone_core_create_content (LinphoneCore *lc)
LinphoneContent * | linphone_content_ref (LinphoneContent *content)
void | linphone_content_unref (LinphoneContent *content)
void * | linphone_content_get_user_data (const LinphoneContent *content)
void | linphone_content_set_user_data (LinphoneContent *content, void *ud)
const char * | linphone_content_get_type (const LinphoneContent *content)
void | linphone_content_set_type (LinphoneContent *content, const char *type)
const char * | linphone_content_get_subtype (const LinphoneContent *content)
void | linphone_content_set_subtype (LinphoneContent *content, const char *subtype)
void * | linphone_content_get_buffer (const LinphoneContent *content)
void | linphone_content_set_buffer (LinphoneContent *content, const void *buffer, size_t size)
const char * | linphone_content_get_string_buffer (const LinphoneContent *content)
void | linphone_content_set_string_buffer (LinphoneContent *content, const char *buffer)
size_t | linphone_content_get_size (const LinphoneContent *content)
void | linphone_content_set_size (LinphoneContent *content, size_t size)
const char * | linphone_content_get_encoding (const LinphoneContent *content)
void | linphone_content_set_encoding (LinphoneContent *content, const char *encoding)
const char * | linphone_content_get_name (const LinphoneContent *content)
void | linphone_content_set_name (LinphoneContent *content, const char *name)
LinphoneDictionary * | lp_config_section_to_dict (const LpConfig *lpconfig, const char *section)
void | lp_config_load_dict_to_section (LpConfig *lpconfig, const char *section, const LinphoneDictionary *dict)
void | linphone_core_enable_logs (FILE *file)
void | linphone_core_enable_logs_with_cb (OrtpLogFunc logfunc)
void | linphone_core_disable_logs (void)
const char * | linphone_core_get_version (void)
void | linphone_core_set_user_agent (LinphoneCore *lc, const char *name, const char *ver)
int | linphone_core_play_local (LinphoneCore *lc, const char *audiofile)
LpConfig * | linphone_core_get_config (LinphoneCore *lc)
const char * | linphone_reason_to_string (LinphoneReason err)
LinphoneLogCollectionState | linphone_core_log_collection_enabled (void)
void | linphone_core_enable_log_collection (LinphoneLogCollectionState state)
const char * | linphone_core_get_log_collection_path (void)
void | linphone_core_set_log_collection_path (const char *path)
const char * | linphone_core_get_log_collection_prefix (void)
void | linphone_core_set_log_collection_prefix (const char *prefix)
int | linphone_core_get_log_collection_max_file_size (void)
void | linphone_core_set_log_collection_max_file_size (int size)
void | linphone_core_set_log_collection_upload_server_url (LinphoneCore *core, const char *server_url)
void | linphone_core_upload_log_collection (LinphoneCore *core)
char * | linphone_core_compress_log_collection ()
void | linphone_core_reset_log_collection ()
void | linphone_core_set_log_handler (OrtpLogFunc logfunc)
void | linphone_core_set_log_file (FILE *file)
void | linphone_core_set_log_level_mask (OrtpLogLevel loglevel)
void | linphone_core_serialize_logs (void)
LpConfig * | linphone_core_create_lp_config (LinphoneCore *lc, const char *filename)
void | linphone_core_set_file_transfer_server (LinphoneCore *core, const char *server_url)
const char * | linphone_core_get_file_transfer_server (LinphoneCore *core)
int | linphone_dial_plan_lookup_ccc_from_iso (const char *iso)
int | linphone_dial_plan_lookup_ccc_from_e164 (const char *e164)
LpConfig * | lp_config_new (const char *filename)
LpConfig * | lp_config_new_from_buffer (const char *buffer)
LpConfig * | lp_config_new_with_factory (const char *config_filename, const char *factory_config_filename)
int | lp_config_read_file (LpConfig *lpconfig, const char *filename)
const char * | lp_config_get_string (const LpConfig *lpconfig, const char *section, const char *key, const char *default_string)
bool_t | lp_config_get_range (const LpConfig *lpconfig, const char *section, const char *key, int *min, int *max, int default_min, int default_max)
int | lp_config_get_int (const LpConfig *lpconfig, const char *section, const char *key, int default_value)
int64_t | lp_config_get_int64 (const LpConfig *lpconfig, const char *section, const char *key, int64_t default_value)
float | lp_config_get_float (const LpConfig *lpconfig, const char *section, const char *key, float default_value)
void | lp_config_set_string (LpConfig *lpconfig, const char *section, const char *key, const char *value)
void | lp_config_set_range (LpConfig *lpconfig, const char *section, const char *key, int min_value, int max_value)
void | lp_config_set_int (LpConfig *lpconfig, const char *section, const char *key, int value)
void | lp_config_set_int_hex (LpConfig *lpconfig, const char *section, const char *key, int value)
void | lp_config_set_int64 (LpConfig *lpconfig, const char *section, const char *key, int64_t value)
void | lp_config_set_float (LpConfig *lpconfig, const char *section, const char *key, float value)
int | lp_config_sync (LpConfig *lpconfig)
int | lp_config_has_section (const LpConfig *lpconfig, const char *section)
void | lp_config_clean_section (LpConfig *lpconfig, const char *section)
void | lp_config_for_each_section (const LpConfig *lpconfig, void(*callback)(const char *section, void *ctx), void *ctx)
void | lp_config_for_each_entry (const LpConfig *lpconfig, const char *section, void(*callback)(const char *entry, void *ctx), void *ctx)
int | lp_config_get_default_int (const LpConfig *lpconfig, const char *section, const char *key, int default_value)
int64_t | lp_config_get_default_int64 (const LpConfig *lpconfig, const char *section, const char *key, int64_t default_value)
float | lp_config_get_default_float (const LpConfig *lpconfig, const char *section, const char *key, float default_value)
const char * | lp_config_get_default_string (const LpConfig *lpconfig, const char *section, const char *key, const char *default_value)
const char * | lp_config_get_section_param_string (const LpConfig *lpconfig, const char *section, const char *key, const char *default_value)
LpConfig * | lp_config_ref (LpConfig *lpconfig)
void | lp_config_unref (LpConfig *lpconfig)
LinphoneReason | linphone_error_info_get_reason (const LinphoneErrorInfo *ei)
const char * | linphone_error_info_get_phrase (const LinphoneErrorInfo *ei)
const char * | linphone_error_info_get_details (const LinphoneErrorInfo *ei)
int | linphone_error_info_get_protocol_code (const LinphoneErrorInfo *ei)
void | linphone_core_set_call_error_tone (LinphoneCore *lc, LinphoneReason reason, const char *audiofile)

## Detailed Description

## Macro Definition Documentation

#define LINPHONE_CONTENT | ( |  | lcp | ) | linphone_content_private_to_linphone_content(lcp)

Convert a LinphoneContentPrivate structure to a LinphoneContent object.

Deprecated:
  Utility macro to ease porting existing code from LinphoneContentPrivate structure (old LinphoneContent structure) to new LinphoneContent object.

#define LINPHONE_CONTENT_PRIVATE | ( |  | lc | ) | linphone_content_to_linphone_content_private(lc)

Convert a LinphoneContent object to a LinphoneContentPrivate structure.

Deprecated:
  Utility macro to ease porting existing code from LinphoneContentPrivate structure (old LinphoneContent structure) to new LinphoneContent object.

## Typedef Documentation

typedef struct _LinphoneBuffer LinphoneBuffer

The LinphoneContent object representing a data buffer.

typedef struct _LinphoneContent LinphoneContent

The LinphoneContent object holds data that can be embedded in a signaling message.

typedef struct _LinphoneContentPrivate LinphoneContentPrivate

Alias to the LinphoneContentPrivate struct.

Deprecated:

typedef enum _LinphoneReason LinphoneReason

Enum describing failure reasons.

typedef struct _LinphoneErrorInfo LinphoneErrorInfo

Object representing full details about a signaling error or status. All LinphoneErrorInfo object returned by the liblinphone API are readonly and transcients. For safety they must be used immediately after obtaining them. Any other function call to the liblinphone may change their content or invalidate the pointer.

typedef struct _LpConfig LpConfig

The LpConfig object is used to manipulate a configuration file.

The format of the configuration file is a .ini like format:

- sections are defined in []
- each section contains a sequence of key=value pairs.

Example:

1 [sound]
2 echocanceler=1
3 playback_dev=ALSA: Default device
4
5 [video]
6 enabled=1

## Enumeration Type Documentation

enum _LinphoneReason

Enum describing various failure reasons or contextual information for some events.

See also
  linphone_call_get_reason()
  linphone_proxy_config_get_error()
  linphone_error_info_get_reason()

Enumerator
LinphoneReasonNoResponse | No response received from remote
LinphoneReasonForbidden | Authentication failed due to bad credentials or resource forbidden
LinphoneReasonDeclined | The call has been declined
LinphoneReasonNotFound | Destination of the call was not found.
LinphoneReasonNotAnswered | The call was not answered in time (request timeout)
LinphoneReasonBusy | Phone line was busy
LinphoneReasonUnsupportedContent | Unsupported content
LinphoneReasonIOError | Transport error: connection failures, disconnections etc...
LinphoneReasonDoNotDisturb | Do not disturb reason
LinphoneReasonUnauthorized | Operation is unauthorized because missing credential
LinphoneReasonNotAcceptable | Operation like call update rejected by peer
LinphoneReasonNoMatch | Operation could not be executed by server or remote client because it didn't have any context for it
LinphoneReasonMovedPermanently | Resource moved permanently
LinphoneReasonGone | Resource no longer exists
LinphoneReasonTemporarilyUnavailable | Temporarily unavailable
LinphoneReasonAddressIncomplete | Address incomplete
LinphoneReasonNotImplemented | Not implemented
LinphoneReasonBadGateway | Bad gateway
LinphoneReasonServerTimeout | Server timeout
LinphoneReasonUnknown | Unknown reason

## Function Documentation

LinphoneBuffer* linphone_buffer_new | ( | void |  | ) |

Create a new empty LinphoneBuffer object.

Returns
  A new LinphoneBuffer object.

LinphoneBuffer* linphone_buffer_new_from_data | ( | const uint8_t * | data,
|  | size_t | size
| ) |  |

Create a new LinphoneBuffer object from existing data.

Parameters

  [in] | data | The initial data to store in the LinphoneBuffer.
  [in] | size | The size of the initial data to stroe in the LinphoneBuffer.

Returns
  A new LinphoneBuffer object.

LinphoneBuffer* linphone_buffer_new_from_string | ( | const char * | data | ) |

Create a new LinphoneBuffer object from a string.

Parameters

  [in] | data | The initial string content of the LinphoneBuffer.

Returns
  A new LinphoneBuffer object.

LinphoneBuffer* linphone_buffer_ref | ( | LinphoneBuffer * | buffer | ) |

Acquire a reference to the buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.

Returns
  The same LinphoneBuffer object.

void linphone_buffer_unref | ( | LinphoneBuffer * | buffer | ) |

Release reference to the buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.

void* linphone_buffer_get_user_data | ( | const LinphoneBuffer * | buffer | ) |

Retrieve the user pointer associated with the buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.

Returns
  The user pointer associated with the buffer.

void linphone_buffer_set_user_data | ( | LinphoneBuffer * | buffer,
|  | void * | ud
| ) |  |

Assign a user pointer to the buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.
  [in] | ud | The user pointer to associate with the buffer.

const uint8_t* linphone_buffer_get_content | ( | const LinphoneBuffer * | buffer | ) |

Get the content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.

Returns
  The content of the data buffer.

void linphone_buffer_set_content | ( | LinphoneBuffer * | buffer,
|  | const uint8_t * | content,
|  | size_t | size
| ) |  |

Set the content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.
  [in] | content | The content of the data buffer.
  [in] | size | The size of the content of the data buffer.

const char* linphone_buffer_get_string_content | ( | const LinphoneBuffer * | buffer | ) |

Get the string content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object

Returns
  The string content of the data buffer.

void linphone_buffer_set_string_content | ( | LinphoneBuffer * | buffer,
|  | const char * | content
| ) |  |

Set the string content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.
  [in] | content | The string content of the data buffer.

size_t linphone_buffer_get_size | ( | const LinphoneBuffer * | buffer | ) |

Get the size of the content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object.

Returns
  The size of the content of the data buffer.

void linphone_buffer_set_size | ( | LinphoneBuffer * | buffer,
|  | size_t | size
| ) |  |

Set the size of the content of the data buffer.

Parameters

  [in] | buffer | LinphoneBuffer object
  [in] | size | The size of the content of the data buffer.

bool_t linphone_buffer_is_empty | ( | const LinphoneBuffer * | buffer | ) |

Tell whether the LinphoneBuffer is empty.

Parameters

  [in] | buffer | LinphoneBuffer object

Returns
  A boolean value telling whether the LinphoneBuffer is empty or not.

LinphoneContent* linphone_content_private_to_linphone_content | ( | const LinphoneContentPrivate * | lcp | ) |

Convert a LinphoneContentPrivate structure to a LinphoneContent object.

Deprecated:
  Utility function to ease porting existing code from LinphoneContentPrivate structure (old LinphoneContent structure) to new LinphoneContent object.

LinphoneContentPrivate* linphone_content_to_linphone_content_private | ( | const LinphoneContent * | content | ) |

Convert a LinphoneContent object to a LinphoneContentPrivate structure.

Deprecated:
  Utility function to ease porting existing code from LinphoneContentPrivate structure (old LinphoneContent structure) to new LinphoneContent object.

LinphoneContent* linphone_core_create_content | ( | LinphoneCore * | lc | ) |

Create a content with default values from Linphone core.

Parameters

  [in] | lc | LinphoneCore object

Returns
  LinphoneContent object with default values set

LinphoneContent* linphone_content_ref | ( | LinphoneContent * | content | ) |

Acquire a reference to the content.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The same LinphoneContent object.

void linphone_content_unref | ( | LinphoneContent * | content | ) |

Release reference to the content.

Parameters

  [in] | content | LinphoneContent object.

void* linphone_content_get_user_data | ( | const LinphoneContent * | content | ) |

Retrieve the user pointer associated with the content.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The user pointer associated with the content.

void linphone_content_set_user_data | ( | LinphoneContent * | content,
|  | void * | ud
| ) |  |

Assign a user pointer to the content.

Parameters

  [in] | content | LinphoneContent object.
  [in] | ud | The user pointer to associate with the content.

const char* linphone_content_get_type | ( | const LinphoneContent * | content | ) |

Get the mime type of the content data.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The mime type of the content data, for example "application".

void linphone_content_set_type | ( | LinphoneContent * | content,
|  | const char * | type
| ) |  |

Set the mime type of the content data.

Parameters

  [in] | content | LinphoneContent object.
  [in] | type | The mime type of the content data, for example "application".

const char* linphone_content_get_subtype | ( | const LinphoneContent * | content | ) |

Get the mime subtype of the content data.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The mime subtype of the content data, for example "html".

void linphone_content_set_subtype | ( | LinphoneContent * | content,
|  | const char * | subtype
| ) |  |

Set the mime subtype of the content data.

Parameters

  [in] | content | LinphoneContent object.
  [in] | subtype | The mime subtype of the content data, for example "html".

void* linphone_content_get_buffer | ( | const LinphoneContent * | content | ) |

Get the content data buffer, usually a string.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The content data buffer.

void linphone_content_set_buffer | ( | LinphoneContent * | content,
|  | const void * | buffer,
|  | size_t | size
| ) |  |

Set the content data buffer, usually a string.

Parameters

  [in] | content | LinphoneContent object.
  [in] | buffer | The content data buffer.
  [in] | size | The size of the content data buffer.

const char* linphone_content_get_string_buffer | ( | const LinphoneContent * | content | ) |

Get the string content data buffer.

Parameters

  [in] | content | LinphoneContent object

Returns
  The string content data buffer.

void linphone_content_set_string_buffer | ( | LinphoneContent * | content,
|  | const char * | buffer
| ) |  |

Set the string content data buffer.

Parameters

  [in] | content | LinphoneContent object.
  [in] | buffer | The string content data buffer.

size_t linphone_content_get_size | ( | const LinphoneContent * | content | ) |

Get the content data buffer size, excluding null character despite null character is always set for convenience.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The content data buffer size.

void linphone_content_set_size | ( | LinphoneContent * | content,
|  | size_t | size
| ) |  |

Set the content data size, excluding null character despite null character is always set for convenience.

Parameters

  [in] | content | LinphoneContent object
  [in] | size | The content data buffer size.

const char* linphone_content_get_encoding | ( | const LinphoneContent * | content | ) |

Get the encoding of the data buffer, for example "gzip".

Parameters

  [in] | content | LinphoneContent object.

Returns
  The encoding of the data buffer.

void linphone_content_set_encoding | ( | LinphoneContent * | content,
|  | const char * | encoding
| ) |  |

Set the encoding of the data buffer, for example "gzip".

Parameters

  [in] | content | LinphoneContent object.
  [in] | encoding | The encoding of the data buffer.

const char* linphone_content_get_name | ( | const LinphoneContent * | content | ) |

Get the name associated with a RCS file transfer message. It is used to store the original filename of the file to be downloaded from server.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The name of the content.

void linphone_content_set_name | ( | LinphoneContent * | content,
|  | const char * | name
| ) |  |

Set the name associated with a RCS file transfer message. It is used to store the original filename of the file to be downloaded from server.

Parameters

  [in] | content | LinphoneContent object.
  [in] | name | The name of the content.

LinphoneDictionary * lp_config_section_to_dict | ( | const LpConfig * | lpconfig,
|  | const char * | section
| ) |  |

Converts a config section into a dictionary.

Returns
  a #LinphoneDictionary with all the keys from a section, or NULL if the section doesn't exist

void lp_config_load_dict_to_section | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const LinphoneDictionary * | dict
| ) |  |

Loads a dictionary into a section of the lpconfig. If the section doesn't exist it is created. Overwrites existing keys, creates non-existing keys.

void linphone_core_enable_logs | ( | FILE * | file | ) |

Enable logs in supplied FILE*.

Deprecated:
  Use linphone_core_set_log_file and #linphone_core_set_log_level instead.

Parameters

  file | a C FILE* where to fprintf logs. If null stdout is used.

void linphone_core_enable_logs_with_cb | ( | OrtpLogFunc | logfunc | ) |

Enable logs through the user's supplied log callback.

Deprecated:
  Use linphone_core_set_log_handler and #linphone_core_set_log_level instead.

Parameters

  logfunc | The address of a OrtpLogFunc callback whose protoype is typedef void (*OrtpLogFunc)(OrtpLogLevel lev, const char *fmt, va_list args);

void linphone_core_disable_logs | ( | void |  | ) |

Entirely disable logging.

Deprecated:
  Use #linphone_core_set_log_level instead.

const char* linphone_core_get_version | ( | void |  | ) |

Returns liblinphone's version as a string.

void linphone_core_set_user_agent | ( | LinphoneCore * | lc,
|  | const char * | name,
|  | const char * | ver
| ) |  |

Sets the user agent string used in SIP messages.

int linphone_core_play_local | ( | LinphoneCore * | lc,
|  | const char * | audiofile
| ) |  |

Plays an audio file to the local user. This function works at any time, during calls, or when no calls are running. It doesn't request the underlying audio system to support multiple playback streams.

Parameters

  lc | the linphone core
  audiofile | path to audio file in wav PCM 16 bit format.

LpConfig* linphone_core_get_config | ( | LinphoneCore * | lc | ) |

Returns the LpConfig object used to manage the storage (config) file.

The application can use the LpConfig object to insert its own private sections and pairs of key=value in the configuration file.

const char* linphone_reason_to_string | ( | LinphoneReason | err | ) |

Converts a LinphoneReason enum to a string.

LinphoneLogCollectionState linphone_core_log_collection_enabled | ( | void |  | ) |

Tells whether the linphone core log collection is enabled.

Returns
  The state of the linphone core log collection.

void linphone_core_enable_log_collection | ( | LinphoneLogCollectionState | state | ) |

Enable the linphone core log collection to upload logs on a server.

Parameters

  [in] | state | LinphoneLogCollectionState value telling whether to enable log collection or not.

const char* linphone_core_get_log_collection_path | ( | void |  | ) |

Get the path where the log files will be written for log collection.

Returns
  The path where the log files will be written.

void linphone_core_set_log_collection_path | ( | const char * | path | ) |

Set the path where the log files will be written for log collection.

Parameters

  [in] | path | The path where the log files will be written.

const char* linphone_core_get_log_collection_prefix | ( | void |  | ) |

Get the prefix of the filenames that will be used for log collection.

Returns
  The prefix of the filenames used for log collection.

void linphone_core_set_log_collection_prefix | ( | const char * | prefix | ) |

Set the prefix of the filenames that will be used for log collection.

Parameters

  [in] | prefix | The prefix to use for the filenames for log collection.

int linphone_core_get_log_collection_max_file_size | ( | void |  | ) |

Get the max file size in bytes of the files used for log collection.

Returns
  The max file size in bytes of the files used for log collection.

void linphone_core_set_log_collection_max_file_size | ( | int | size | ) |

Set the max file size in bytes of the files used for log collection. Warning: this function should only not be used to change size dynamically but instead only before calling

See also
  linphone_core_enable_log_collection. If you increase max size on runtime, logs chronological order COULD be broken.

Parameters

  [in] | size | The max file size in bytes of the files used for log collection.

void linphone_core_set_log_collection_upload_server_url | ( | LinphoneCore * | core,
|  | const char * | server_url
| ) |  |

Set the url of the server where to upload the collected log files.

Parameters

  [in] | core | LinphoneCore object
  [in] | server_url | The url of the server where to upload the collected log files.

void linphone_core_upload_log_collection | ( | LinphoneCore * | core | ) |

Upload the log collection to the configured server url.

Parameters

  [in] | core | LinphoneCore object

char* linphone_core_compress_log_collection | ( |  | ) |

Compress the log collection in a single file.

Returns
  The path of the compressed log collection file (to be freed calling ms_free()).

void linphone_core_reset_log_collection | ( |  | ) |

Reset the log collection by removing the log files.

void linphone_core_set_log_handler | ( | OrtpLogFunc | logfunc | ) |

Define a log handler.

Parameters

  logfunc | The function pointer of the log handler.

void linphone_core_set_log_file | ( | FILE * | file | ) |

Define a log file.

If the file pointer passed as an argument is NULL, stdout is used instead.

Parameters

  file | A pointer to the FILE structure of the file to write to.

void linphone_core_set_log_level_mask | ( | OrtpLogLevel | loglevel | ) |

Define the log level.

The loglevel parameter is a bitmask parameter. Therefore to enable only warning and error messages, use ORTP_WARNING | ORTP_ERROR. To disable logs, simply set loglevel to 0.

Parameters

  loglevel | A bitmask of the log levels to set.

void linphone_core_serialize_logs | ( | void |  | ) |

Enable logs serialization (output logs from either the thread that creates the linphone core or the thread that calls linphone_core_iterate()). Must be called before creating the linphone core.

LpConfig* linphone_core_create_lp_config | ( | LinphoneCore * | lc,
|  | const char * | filename
| ) |  |

Create a LpConfig object from a user config file.

Parameters

  [in] | lc | LinphoneCore object
  [in] | filename | The filename of the config file to read to fill the instantiated LpConfig

void linphone_core_set_file_transfer_server | ( | LinphoneCore * | core,
|  | const char * | server_url
| ) |  |

Globaly set an http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml. This value can also be set for a dedicated account using linphone_proxy_config_set_file_transfer_server

Parameters

  [in] | core | LinphoneCore to be modified
  [in] | server_url | URL of the file server like https://file.linphone.org/upload.php

const char* linphone_core_get_file_transfer_server | ( | LinphoneCore * | core | ) |

Get the globaly set http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.

Parameters

  [in] | core | LinphoneCore from which to get the server_url

Returns
  URL of the file server like https://file.linphone.org/upload.php

int linphone_dial_plan_lookup_ccc_from_iso | ( | const char * | iso | ) |

Function to get call country code from ISO 3166-1 alpha-2 code, ex: FR returns 33

Parameters

  iso | country code alpha2

Returns
  call country code or -1 if not found

int linphone_dial_plan_lookup_ccc_from_e164 | ( | const char * | e164 | ) |

Function to get call country code from an e164 number, ex: +33952650121 will return 33

Parameters

  e164 | phone number

Returns
  call country code or -1 if not found

LpConfig* lp_config_new | ( | const char * | filename | ) |

Instantiates a LpConfig object from a user config file. The caller of this constructor owns a reference. lp_config_unref() must be called when this object is no longer needed.

Parameters

  filename | the filename of the config file to read to fill the instantiated LpConfig

See also
  lp_config_new_with_factory

LpConfig* lp_config_new_from_buffer | ( | const char * | buffer | ) |

Instantiates a LpConfig object from a user provided buffer. The caller of this constructor owns a reference. lp_config_unref() must be called when this object is no longer needed.

Parameters

  buffer | the buffer from which the lpconfig will be retrieved. We expect the buffer to be null-terminated.

See also
  lp_config_new_with_factory
  lp_config_new

LpConfig* lp_config_new_with_factory | ( | const char * | config_filename,
|  | const char * | factory_config_filename
| ) |  |

Instantiates a LpConfig object from a user config file and a factory config file. The caller of this constructor owns a reference. lp_config_unref() must be called when this object is no longer needed.

Parameters

  config_filename | the filename of the user config file to read to fill the instantiated LpConfig
  factory_config_filename | the filename of the factory config file to read to fill the instantiated LpConfig

See also
  lp_config_new

The user config file is read first to fill the LpConfig and then the factory config file is read. Therefore the configuration parameters defined in the user config file will be overwritten by the parameters defined in the factory config file.

int lp_config_read_file | ( | LpConfig * | lpconfig,
|  | const char * | filename
| ) |  |

Reads a user config file and fill the LpConfig with the read config values.

Parameters

  lpconfig | The LpConfig object to fill with the content of the file
  filename | The filename of the config file to read to fill the LpConfig

const char* lp_config_get_string | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_string
| ) |  |

Retrieves a configuration item as a string, given its section, key, and default value.

The default value string is returned if the config item isn't found.

bool_t lp_config_get_range | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int * | min,
|  | int * | max,
|  | int | default_min,
|  | int | default_max
| ) |  |

Retrieves a configuration item as a range, given its section, key, and default min and max values.

Returns
  TRUE if the value is successfully parsed as a range, FALSE otherwise. If FALSE is returned, min and max are filled respectively with default_min and default_max values.

int lp_config_get_int | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int | default_value
| ) |  |

Retrieves a configuration item as an integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

int64_t lp_config_get_int64 | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | default_value
| ) |  |

Retrieves a configuration item as a 64 bit integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

float lp_config_get_float | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | float | default_value
| ) |  |

Retrieves a configuration item as a float, given its section, key, and default value.

The default float value is returned if the config item isn't found.

void lp_config_set_string | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | const char * | value
| ) |  |

Sets a string config item

void lp_config_set_range | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int | min_value,
|  | int | max_value
| ) |  |

Sets a range config item

void lp_config_set_int | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int | value
| ) |  |

Sets an integer config item

void lp_config_set_int_hex | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int | value
| ) |  |

Sets an integer config item, but store it as hexadecimal

void lp_config_set_int64 | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | value
| ) |  |

Sets a 64 bits integer config item

void lp_config_set_float | ( | LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | float | value
| ) |  |

Sets a float config item

int lp_config_sync | ( | LpConfig * | lpconfig | ) |

Writes the config file to disk.

int lp_config_has_section | ( | const LpConfig * | lpconfig,
|  | const char * | section
| ) |  |

Returns 1 if a given section is present in the configuration.

void lp_config_clean_section | ( | LpConfig * | lpconfig,
|  | const char * | section
| ) |  |

Removes every pair of key,value in a section and remove the section.

void lp_config_for_each_section | ( | const LpConfig * | lpconfig,
|  | void(*)(const char *section, void *ctx) | callback,
|  | void * | ctx
| ) |  |

Call a function for each section present in the configuration.

void lp_config_for_each_entry | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | void(*)(const char *entry, void *ctx) | callback,
|  | void * | ctx
| ) |  |

Call a function for each entry present in a section configuration.

int lp_config_get_default_int | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int | default_value
| ) |  |

Retrieves a default configuration item as an integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

int64_t lp_config_get_default_int64 | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | default_value
| ) |  |

Retrieves a default configuration item as a 64 bit integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

float lp_config_get_default_float | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | float | default_value
| ) |  |

Retrieves a default configuration item as a float, given its section, key, and default value.

The default float value is returned if the config item isn't found.

const char* lp_config_get_default_string | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_value
| ) |  |

Retrieves a default configuration item as a string, given its section, key, and default value.

The default value string is returned if the config item isn't found.

const char* lp_config_get_section_param_string | ( | const LpConfig * | lpconfig,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_value
| ) |  |

Retrieves a section parameter item as a string, given its section and key.

The default value string is returned if the config item isn't found.

LpConfig* lp_config_ref | ( | LpConfig * | lpconfig | ) |

increment reference count

void lp_config_unref | ( | LpConfig * | lpconfig | ) |

Decrement reference count, which will eventually free the object.

LinphoneReason linphone_error_info_get_reason | ( | const LinphoneErrorInfo * | ei | ) |

Get reason code from the error info.

Parameters

  ei | the error info.

Returns
  a LinphoneReason

const char* linphone_error_info_get_phrase | ( | const LinphoneErrorInfo * | ei | ) |

Get textual phrase from the error info. This is the text that is provided by the peer in the protocol (SIP).

Parameters

  ei | the error info.

Returns
  the error phrase

const char* linphone_error_info_get_details | ( | const LinphoneErrorInfo * | ei | ) |

Provides additional information regarding the failure. With SIP protocol, the "Reason" and "Warning" headers are returned.

Parameters

  ei | the error info.

Returns
  more details about the failure.

int linphone_error_info_get_protocol_code | ( | const LinphoneErrorInfo * | ei | ) |

Get the status code from the low level protocol (ex a SIP status code).

Parameters

  ei | the error info.

Returns
  the status code.

void linphone_core_set_call_error_tone | ( | LinphoneCore * | lc,
|  | LinphoneReason | reason,
|  | const char * | audiofile
| ) |  |

Assign an audio file to be played locally upon call failure, for a given reason.

Parameters

  lc | the core
  reason | the LinphoneReason representing the failure error code.
  audiofile | a wav file to be played when such call failure happens.